Package com.clickhouse.jdbc

## Class ClickHouseStruct

- java.lang.Object
- - com.clickhouse.jdbc.ClickHouseStruct

All Implemented Interfaces:
  `Struct`

    public class ClickHouseStruct
    extends Object
    implements Struct

### Constructor Summary

Constructors
`protected` `ClickHouseStruct​(String typeName, Object[] values)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object[]` `getAttributes()`
`Object[]` `getAttributes​(Map<String,​Class<?>> map)`
`String` `getSQLTypeName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseStruct

    protected ClickHouseStruct​(String typeName,
                               Object[] values)

### Method Detail

#### getSQLTypeName

    public String getSQLTypeName()
                          throws SQLException

Specified by:
  `getSQLTypeName` in interface `Struct`
Throws:
  `SQLException`

#### getAttributes

    public Object[] getAttributes()
                           throws SQLException

Specified by:
  `getAttributes` in interface `Struct`
Throws:
  `SQLException`

#### getAttributes

    public Object[] getAttributes​(Map<String,​Class<?>> map)
                           throws SQLException

Specified by:
  `getAttributes` in interface `Struct`
Throws:
  `SQLException`